#include <stdio.h>
#include "externs.h"

read_disk( drive )    /* reads the master disk in.. */
char drive;
{
char    *malloc();
int    t,h;

    for( t = 0 ; t < TRACKS_PER_DISK ; t++ )
        if( !(track[t]=(TRACK *)malloc( sizeof( TRACK )) )){
            cls();
            go(12,18);
            printf("Out Of Memory... Room For %2d of %2d Tracks.",
                        t, TRACKS_PER_DISK);
            byebye();
        }

    for( t = 0 ; t < TRACKS_PER_DISK ; t++ )
        for( h = 0 ; h < SIDES_PER_DISK ; h++ )
            if( read_sectors( drive, t, h,
                &(track[t]->head[h].data[0]) ) !=0){
                cls();
                go(12,27); printf("Can't Read Master Disk...");
                byebye();
            }

            /* read_sectors( drive, track, head, where ) */

    go( 21, 20 );
    printf("                                             ");
}

write_disk(drive)    /* write a disk out */
char drive;
{
int t, h;

    for( t = 0 ; t < TRACKS_PER_DISK ; t++ )
        for( h = 0 ; h < SIDES_PER_DISK ; h++ )
if( write_sectors( drive, t, h, &(track[t]->head[h].data[0]) ) !=0)
                return -1;

    return 0;
}
