#include <stdio.h>
#include "externs.h"

format_disk( drive )	/* you guessed it... Format a disk... */
int drive;
{
int    x;

    x = do_format(drive);
    go( 21, 19 );
    printf("                                         ");
    return x;
}

static
do_format( drive )
char drive;
{
register int t, h;
int s;
int tries;

    drive -= 'A';    /* make it 0 to 3 */

    for( t = 0 ; t < TRACKS_PER_DISK ; t++ )
        for( h = 0 ; h < SIDES_PER_DISK ; h++ )
            for( s = 0 ; s < SECTORS_PER_TRACK ; s++ ){
                trk_fmt[t].side[h].format_record[s].cyl = t;
                trk_fmt[t].side[h].format_record[s].head= h;
                trk_fmt[t].side[h].format_record[s].rec = s+1;
                trk_fmt[t].side[h].format_record[s].num = 2;
            }

    input_regs.AX = 0x0501;	/* move this outside the loop */

    for( t = 0 ; t < TRACKS_PER_DISK ; t++ )
        for( h = 0 ; h < SIDES_PER_DISK ; h++ ){
            input_regs.BX = _off_part( &(trk_fmt[t].side[h]) );
            input_regs.ES = _seg_part( &(trk_fmt[t].side[h]) );
            input_regs.CX = (t << 8) | 1;
            input_regs.DX = (h << 8) | drive;
#ifdef TESTING
            go( 21, 0 );
            printf("Formatting...");
            go( 21, 20 );
            printf("ax=0x%04x, bx=0x%04x, cx=0x%04x, dx=0x%04x",
                input_regs.AX, input_regs.BX, input_regs.CX, input_regs.DX );
            getachr();
            FLAGS =0;
#else
    go( 21, 19 );
    printf("Formating... Drive %c, Track %2d, Head %d       ", drive+'A', t, h );

            for( tries = 0, FLAGS = -1 ;
			(tries < MAX_TRIES) && CARRY_SET ; tries++ )
                FLAGS = sysint( 0x13, &input_regs, &output_regs );
            if( CARRY_SET )
                return -1;
#endif
        }

    return 0;
}


